Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.util
[Java] Interface ObjectGraphBuilder.ChildPropertySetter

    public interface ObjectGraphBuilder.ChildPropertySetter

Strategy for setting a child node on its parent.
Useful for handling Lists/Arrays vs normal properties.

Method Summary
`void` | `setChild(java.lang.Object parent, java.lang.Object child, java.lang.String parentName, java.lang.String propertyName)`

Method Detail

### setChild

    public void setChild(java.lang.Object parent, java.lang.Object child, java.lang.String parentName, java.lang.String propertyName)

Groovy Documentation